import { ZodObject } from 'zod';

import * as z from "zod";
export declare const createCommonDataSourceSchema: <Schema extends ZodObject<any>>(configSchema: Schema) => ZodObject<{
    name: z.ZodString;
    prefix: z.ZodString;
    config: Schema;
}, "strip", z.ZodTypeAny, { [k in keyof z.objectUtil.addQuestionMarks<z.baseObjectOutputType<{
    name: z.ZodString;
    prefix: z.ZodString;
    config: Schema;
}>, any>]: z.objectUtil.addQuestionMarks<z.baseObjectOutputType<{
    name: z.ZodString;
    prefix: z.ZodString;
    config: Schema;
}>, any>[k]; }, { [k_1 in keyof z.baseObjectInputType<{
    name: z.ZodString;
    prefix: z.ZodString;
    config: Schema;
}>]: z.baseObjectInputType<{
    name: z.ZodString;
    prefix: z.ZodString;
    config: Schema;
}>[k_1]; }>;
export type ConfigFieldsMeta = {
    [key: string]: ConfigFieldMeta | ConfigFieldsMeta;
};
export type ConfigFieldMeta = {
    label: string;
    secret?: boolean;
    helpText?: string;
    placeholder?: string;
};
export declare const createCommonDataSourceFieldsMeta: (configFieldsMeta: ConfigFieldsMeta) => {
    name: {
        label: string;
        name: string;
    };
    prefix: {
        label: string;
        helpText: string;
    };
    config: ConfigFieldsMeta;
};
export declare enum ConnectorFormType {
    VISUAL_EDITOR = "CREATE",
    CONNECT = "CONNECT"
}
export type ConnectorFormProps<Schema extends ZodObject<any>> = {
    schema: Schema;
    fieldsMeta: ConfigFieldsMeta;
    formType: ConnectorFormType;
    onSubmit?: ((data: z.infer<Schema>) => Promise<void> | void) | undefined;
};
export declare const ConnectorForm: <Schema extends ZodObject<any>>({ schema, formType, onSubmit: onSubmitProp, fieldsMeta, }: ConnectorFormProps<Schema>) => JSX.Element;
//# sourceMappingURL=ConnectorForm.d.ts.map