import { ZodObject, ZodSchema, ZodType } from 'zod';

type ZodObjectShape = Record<string, ZodSchema>;
/**
 * Check if an unknown value is a ZodObject with a shape property
 */
export declare function isZodSchemaObject(schema: unknown): schema is ZodObject<ZodObjectShape>;
export declare function getZodField(obj: unknown): ZodSchema<any, any, any>;
/**
 * Recursively check for obj.innerType, etc to find the deepest `typeName`
 */
export declare function getZodFieldTypeName(obj: ZodType<any, any, any>): string;
export {};
//# sourceMappingURL=zod-helpers.d.ts.map