import { Z as ZodObject, a as ZodType, b as ZodEffects } from "../../index-loDVO1Vh.js";
function isZodSchemaObject(schema) {
  return typeof schema === "object" && schema instanceof ZodObject && "shape" in schema;
}
function getZodField(obj) {
  if (!(obj instanceof ZodType)) {
    throw new Error(
      "getZodField Error: FormFieldsFromSchema requires a zod schema to render fields within a Form component. Object passed to getZodField not an instance of ZodType."
    );
  }
  if (obj instanceof ZodEffects && obj._def.schema instanceof ZodType) {
    return obj._def.schema;
  }
  return obj;
}
function getZodFieldTypeName(obj) {
  if ("schema" in obj._def && obj instanceof ZodEffects && obj._def.schema instanceof ZodType) {
    return getZodFieldTypeName(obj._def.schema);
  }
  if ("innerType" in obj._def && obj._def.innerType instanceof ZodType) {
    return getZodFieldTypeName(obj._def.innerType);
  }
  if ("typeName" in obj._def && typeof obj._def.typeName === "string") {
    return obj._def.typeName;
  }
  throw new Error("getZodFieldTypeName: Unable to determine field type");
}
export {
  getZodField,
  getZodFieldTypeName,
  isZodSchemaObject
};
//# sourceMappingURL=zod-helpers.js.map
